#! /bin/sh

if [ ! -e /etc/solartech/comm_secret ]; then
    cp /etc/comm_secret.default /etc/solartech/comm_secret
fi

if [ ! -e /etc/solartech/modem_config ]; then
    cp /etc/modem_config.default /etc/solartech/modem_config
fi

# Ensure that the config directory exists
/bin/mkdir -p /etc/solartech/config/


###############################################################
# Reload the font lists on the system in case they've changed #
###############################################################

# US Road Safety
if grep -q 20pxRoadSafety.cfi /usr/share/fonts/fontList.txt
then
  cp -f /usr/share/fonts/english_fontList.txt /usr/share/fonts/fontList.txt
fi

# US Road Safety Power Miser
if grep -q 20pxRoadSafety_Power_Miser.cfi /usr/share/fonts/fontList.txt
then
    cp -f /usr/share/fonts/us_road_safety_power_miser_fontList.txt /usr/share/fonts/fontList.txt
fi

# Canadian French and MTO
if grep -q 8pxCanadian_French-condensed.cfi /usr/share/fonts/fontList.txt
then
    cp -f /usr/share/fonts/canadian_fontList.txt /usr/share/fonts/fontList.txt
else
    if grep -q Canadian_French_MTO.cfi /usr/share/fonts/fontList.txt
    then
        cp -f /usr/share/fonts/frenchcanadian_fontList.txt /usr/share/fonts/fontList.txt
    fi
fi

# International
if grep -q 13pxInternational.cfi /usr/share/fonts/fontList.txt
then
  cp -f /usr/share/fonts/international_fontList.txt /usr/share/fonts/fontList.txt
fi

#############
# Temporary #
#############


